Google Cloud Gemini Data Analytics V1 Client - Class MatchedQuery (0.10.0)

Reference documentation and code samples for the Google Cloud Gemini Data Analytics V1 Client class MatchedQuery.

A matched query message represents the agent having matched one of the example queries supplied in context as being applicable to the current question. It will also contain additional info during the matching process.

Generated from protobuf message google.cloud.geminidataanalytics.v1.MatchedQuery

Namespace

Google \ Cloud \ GeminiDataAnalytics \ V1

Methods

__construct

Constructor.

Parameters
Name Description
data array

Optional. Data for populating the Message object.

↳ example_query ExampleQuery

The query that was matched based on an example query.

↳ query_parameter_values array<QueryParameterValues>

The extracted values for the query parameters.

getExampleQuery

The query that was matched based on an example query.

Returns
Type Description
ExampleQuery|null

hasExampleQuery

clearExampleQuery

setExampleQuery

The query that was matched based on an example query.

Parameter
Name Description
var ExampleQuery
Returns
Type Description
$this

getQueryParameterValues

The extracted values for the query parameters.

Returns
Type Description
Google\Protobuf\RepeatedField<QueryParameterValues>

setQueryParameterValues

The extracted values for the query parameters.

Parameter
Name Description
var array<QueryParameterValues>
Returns
Type Description
$this